> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1licenseassignment



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.License//swagger/v1/swagger.json post /api/v1/license/Assignment
openapi: 3.0.0
info:
  title: NDS.Services.License
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.License/
security: []
paths:
  /api/v1/license/Assignment:
    post:
      tags:
        - LicenseAssignment
      operationId: LicenseAssignment_AssignLicenses
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignLicensesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssignLicensesResult'
components:
  schemas:
    AssignLicensesRequest:
      type: object
      additionalProperties: false
      properties:
        Assignments:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Assignment'
    AssignLicensesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
    Assignment:
      type: object
      additionalProperties: false
      properties:
        Identity:
          type: string
          nullable: true
        Permissions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PermissionData'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    PermissionData:
      type: object
      additionalProperties: false
      properties:
        Permission:
          type: string
          nullable: true
        Type:
          $ref: '#/components/schemas/AssignmentType'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    AssignmentType:
      type: integer
      description: ''
      x-enumNames:
        - Normal
        - Inherited
        - Hereditary
      enum:
        - 0
        - 1
        - 2

````